Package com.independentsoft.office.word

# Class Underline

java.lang.Object
com.independentsoft.office.word.Underline

public class Underline extends Object
The Class Underline.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Underline()`
  Instantiates a new underline.
  `Underline​(UnderlinePattern pattern)`
  Instantiates a new underline.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Underline`
  `clone()`
  `Color`
  `getColor()`
  Gets the color.
  `UnderlinePattern`
  `getPattern()`
  Gets the pattern.
  `ThemeColor`
  `getThemeColor()`
  Gets the theme color.
  `int`
  `getThemeShade()`
  Gets the theme shade.
  `int`
  `getThemeTint()`
  Gets the theme tint.
  `void`
  `setColor​(Color color)`
  Sets the color.
  `void`
  `setPattern​(UnderlinePattern pattern)`
  Sets the pattern.
  `void`
  `setThemeColor​(ThemeColor themeColor)`
  Sets the theme color.
  `void`
  `setThemeShade​(int themeShade)`
  Sets the theme shade.
  `void`
  `setThemeTint​(int themeTint)`
  Sets the theme tint.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Underline

    public Underline()
    Instantiates a new underline.

  - ### Underline

    public Underline​(UnderlinePattern pattern)
    Instantiates a new underline.
    Parameters:
      `pattern` - the pattern

- ## Method Details

  - ### clone

    public Underline clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPattern

    public UnderlinePattern getPattern()
    Gets the pattern.
    Returns:
      the pattern

  - ### setPattern

    public void setPattern​(UnderlinePattern pattern)
    Sets the pattern.
    Parameters:
      `pattern` - the new pattern

  - ### getColor

    public Color getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(Color color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getThemeColor

    public ThemeColor getThemeColor()
    Gets the theme color.
    Returns:
      the theme color

  - ### setThemeColor

    public void setThemeColor​(ThemeColor themeColor)
    Sets the theme color.
    Parameters:
      `themeColor` - the new theme color

  - ### getThemeShade

    public int getThemeShade()
    Gets the theme shade.
    Returns:
      the theme shade

  - ### setThemeShade

    public void setThemeShade​(int themeShade)
    Sets the theme shade.
    Parameters:
      `themeShade` - the new theme shade

  - ### getThemeTint

    public int getThemeTint()
    Gets the theme tint.
    Returns:
      the theme tint

  - ### setThemeTint

    public void setThemeTint​(int themeTint)
    Sets the theme tint.
    Parameters:
      `themeTint` - the new theme tint